[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNodeMemManager.NewNode

Create a new TAVLTreeNode instance

## Declaration

Source position: avl_tree.pp line 130

`public function TAVLTreeNodeMemManager.NewNode: TAVLTreeNode; override;`

## Function result

The new node.

## Description

NewNode returns a new TAVLTreeNode instance. If there is a node in the free list, itare returned. If no more free nodes are present, a new node is created.

## See also

TAVLTreeNodeMemManager.DisposeNode |  | Return a node to the free list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .